Download it now!
Bug 75032 - Other: crash when undo 'delete row above' with comments in rows below
Summary: Other: crash when undo 'delete row above' with comments in rows below
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium critical
Assignee: Kohei Yoshida
URL:
Whiteboard: BSA target:4.3.0 target:4.2.2
Keywords: regression
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2014-02-15 19:12 UTC by A (Andy)
Modified: 2014-02-27 15:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description A (Andy) 2014-02-15 19:12:57 UTC
Problem Description:
Comments are moved faulty when inserting a row and undoing this

Steps to Reproduce:
1. Open a new spreadsheet in CALC
2. Type in cell B3 = "1" and in cell B4 = "2"
3. Go to cell B3 and insert a comment = "C1" and then go to cell B4 and insert a comment = "C2"
4. Select the second row (on the row name "2" on the left) and make a right mouse click and select INSERT ROWS ABOVE to insert a row

Interim Result: 
A row is inserted and the cells and comments are moved down correctly, but if you move the mouse over the cells to show the comments single blue lines from the comment box remain (they disappear when scrolling up and down).

5. Now press the keys CTRL + Z to undo the insertion of the row

Result: The inserted row is deleted, but the comments are moved up one more row (to cell B2 and B3).
Operating System: Windows 8
Version: 4.2.0.4 release
Comment 1 A (Andy) 2014-02-15 19:32:07 UTC
One more issue which is from my point of view related to this bug and that's why I have not opened a new bug report.

Steps to Reproduce:
1. Open a new spreadsheet in CALC
2. Type in cell B3 = "1" and in cell B4 = "2"
3. Go to cell B3 and insert a comment = "C1" and then go to cell B4 and insert a comment = "C2"
4. Select the second row (on the row name "2" on the left) and make a right mouse click and select DELETE SELECTED ROWS to delete the row

Result:
The comments are moved up one more row, resulting in the deletion of the comment "C1"

5. Press the keys CTRL + Z two times

Result:
LO crashes with the error message: Runtime Error (R6025 - pure virtual function call)

Due to this crash I marked this bug as critical.
Comment 2 Jorendc 2014-02-16 12:09:54 UTC
Thanks for reporting.

Tested using Mac OSX 10.9 with LibreOffice 4.2.1.1.

I fail to reproduce your testcase in the Description. So this is probably already fixed. (might be related to bug 74273)

I CAN reproduce your testcase in Comment 1. LibreOffice already crashes when hitting undo (cmd+z here on mac) for the first time.
Comment 3 gibi 2014-02-16 13:16:44 UTC
I get exactly the same result as jorendc with Version: 4.2.1.1
Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b on Linux X64 DEB:

- testcase in description is resolved
- testcase in comment #1 : I get also the crash from the first undo (using CTRL - Z)
Comment 4 m.a.riosv 2014-02-16 13:49:02 UTC
The same results:
Win7x64Ultimate.
Version: 4.2.1.1
Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b

- Description seems resolved.
- Comment #1, crash with the first Ctrl+Z

maybe related also to:
https://bugs.freedesktop.org/show_bug.cgi?id=72293
Comment 5 Kohei Yoshida 2014-02-17 15:29:02 UTC
I'm on it.
Comment 6 Commit Notification 2014-02-17 17:20:30 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a5df6427913af1df99e770ea68daaeeeea02e7c

fdo#75032: Add a test case to reproduce the crash.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-02-17 17:20:43 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e49b6abe7cedd2ac7137170f76ec5d7e14bd295

fdo#75032: Skip notes when copying values from undo document.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Kohei Yoshida 2014-02-17 17:22:34 UTC
Backport requests:

4.2: https://gerrit.libreoffice.org/8089
4.2.1: https://gerrit.libreoffice.org/8090
Comment 9 Kohei Yoshida 2014-02-17 20:51:36 UTC
That fix has a problem.  I need to revise it.
Comment 10 Commit Notification 2014-02-18 03:21:50 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93d2cd25597c519029ec12bbaefd6c518890beed

fdo#75032: Extend the test to catch another use case.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-02-18 03:22:04 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=575e88da278f536ebfb6562dfd98f341240afec4

fdo#75032: Handle note copying correctly.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-02-20 02:16:33 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f0b4fe210200a3620cf05f30242771b01d991658&h=libreoffice-4-2

fdo#75032: Handle note copying correctly.


It will be available in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Kohei Yoshida 2014-02-20 02:22:59 UTC
Fixed.
Comment 14 Jean-Baptiste Faure 2014-02-20 05:57:31 UTC
(In reply to comment #13)
> Fixed.

Thank you very much Kohei!
Verified fixed on version 4.2.3.0.0+ under Ubuntu 13.10 x86-64.

Best regards. JBF
Comment 15 m.a.riosv 2014-02-20 23:04:25 UTC
Thanks Kohei.
Verified in:
Version: 4.2.3.0.0+ Build ID: 7af1124f83df4d96f6ebe58536de7c51406df661
   TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-02-20_11:39:39
Version: 4.3.0.0.alpha0+ Build ID: 22b709e84a7b6d38cab2dd37f2f2b28e0fc9d062
   TinderBox: Win-x86@39, Branch:master, Time: 2014-02-20_00:01:31
Comment 16 Commit Notification 2014-02-21 12:50:28 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e285e059b6a03b426a0f64ff3686966802d040c3&h=libreoffice-4-2-2

fdo#75032: Handle note copying correctly.


It will be available already in LibreOffice 4.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.